summaryrefslogtreecommitdiffstats
path: root/network/tcptunnel
diff options
context:
space:
mode:
author Fernando Giannasi <phoemur@gmail.com>2013-10-27 22:03:58 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2013-10-27 22:03:58 +0100
commitcae4c4e2e31584a96fa31dd740278e7c91729f93 (patch)
tree93087d14d3f8803b861f99fdf0aa97f49d3d11c1 /network/tcptunnel
parent8e2c960f4a8cdad5ac5b7b097ec1acb56c7018a3 (diff)
downloadslackbuilds-cae4c4e2e31584a96fa31dd740278e7c91729f93.tar.gz
slackbuilds-cae4c4e2e31584a96fa31dd740278e7c91729f93.tar.xz
network/tcptunnel: Added (TCP port forwarder).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/tcptunnel')
-rw-r--r--network/tcptunnel/README4
-rw-r--r--network/tcptunnel/slack-desc19
-rw-r--r--network/tcptunnel/tcptunnel.SlackBuild98
-rw-r--r--network/tcptunnel/tcptunnel.info10
4 files changed, 131 insertions, 0 deletions
diff --git a/network/tcptunnel/README b/network/tcptunnel/README
new file mode 100644
index 0000000000..f07959c412
--- /dev/null
+++ b/network/tcptunnel/README
@@ -0,0 +1,4 @@
+Tcptunnel is a simple TCP port forwarder. This tool listens to a
+local TCP port and all the received data is sent to a remote host.
+It can be used to redirect TCP based protocols like HTTP, IRC,
+NNTP, SSH or SMTP.
diff --git a/network/tcptunnel/slack-desc b/network/tcptunnel/slack-desc
new file mode 100644
index 0000000000..33213efbe3
--- /dev/null
+++ b/network/tcptunnel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tcptunnel: tcptunnel (TCP port forwarder)
+tcptunnel:
+tcptunnel: Tcptunnel is a simple TCP port forwarder. This tool listens to a
+tcptunnel: local TCP port and all the received data is sent to a remote host.
+tcptunnel: It can be used to redirect TCP based protocols like HTTP, IRC,
+tcptunnel: NNTP, SSH or SMTP.
+tcptunnel:
+tcptunnel: homepage: http://www.vakuumverpackt.de/tcptunnel/
+tcptunnel:
+tcptunnel:
+tcptunnel:
diff --git a/network/tcptunnel/tcptunnel.SlackBuild b/network/tcptunnel/tcptunnel.SlackBuild
new file mode 100644
index 0000000000..99364b3cac
--- /dev/null
+++ b/network/tcptunnel/tcptunnel.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for tcptunnel
+
+# Copyright 2013 - Fernando Giannasi - São Paulo - Brasil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tcptunnel
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr
+
+make
+
+install -m 0755 -D src/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+# Strip
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README.md ChangeLog COPYING $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/tcptunnel/tcptunnel.info b/network/tcptunnel/tcptunnel.info
new file mode 100644
index 0000000000..cf98637a79
--- /dev/null
+++ b/network/tcptunnel/tcptunnel.info
@@ -0,0 +1,10 @@
+PRGNAM="tcptunnel"
+VERSION="0.7"
+HOMEPAGE="http://www.vakuumverpackt.de/tcptunnel/"
+DOWNLOAD="http://www.vakuumverpackt.de/tcptunnel/tcptunnel-0.7.tar.gz"
+MD5SUM="a28df1b0ac3ccf398b5f209fe56ea2fe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Giannasi"
+EMAIL="phoemur@gmail.com"